
QGIS Application - Bug report #3640

Raster transparency banding in composer output

2011-03-18 05:24 PM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13699

Description

Raster layers with transparency show banding when printed. See the example attached. This is using the landcover.30m data from

spearfish sample dataset, grass raster. I set the transparency at 50% for this layer and printed to a default composer page, size A0.

History

#1 - 2011-08-15 01:29 PM - Dayne Broderson

- File qgis-print-transparency-issue.jpeg added

I am also seeing this behavior.

Keeping track of my notes at: https://gist.github.com/1147439

This is on 1.8 (git checkout).  Easily repeatable from any raster dataset as long as you set your output DPI high enough to cause the error.

#2 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#6 - 2014-05-31 11:08 PM - Nyall Dawson

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

Is this still an issue in current master? If so, can you provide a sample project which illustrates the banding?

#7 - 2014-06-22 02:58 AM - Giovanni Manghi
https://gist.github.com/1147439


- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback.

Files

raster_output.png 224 KB 2011-03-18 John Tull

qgis-print-transparency-issue.jpeg 804 KB 2011-08-15 Dayne Broderson
